Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19957

Description

Really hard to explain so I have attached a picture of a multi-line in QGIS. The last section of the first line does not show through. The

multi-line shows up as two polylines in Geomedia, the blue one extends out to the red one (highlighted in yellow) and the red one is the

same as QGIS. It seems to be QGIS with polylines from Oracle does not show the last section.

Happy to answer questions about it.

History

#1 - 2014-11-23 04:35 PM - Nicholas Latham

- File Bad_Multiline.PNG added

Added newer screenshot

#2 - 2014-11-25 04:40 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please provide a test case.

#3 - 2014-12-01 04:27 PM - Nicholas Latham

Jürgen Fischer wrote:

Please provide a test case.

How should I do this? I have found out that ogr2ogr works as expected when converting from Oracle table to shapefile or spatialite.

#4 - 2014-12-02 12:14 AM - Jürgen Fischer

Nicholas Latham wrote:

Jürgen Fischer wrote:

Please provide a test case.
How should I do this? I have found out that ogr2ogr works as expected when converting from Oracle table to shapefile or spatialite.

Produce a dump containing some of those geometries.  Or can you also reproduce the problem by exporting and reimporting using ogr2ogr?

#5 - 2015-01-10 01:16 PM - Jürgen Fischer

- Status changed from Feedback to Closed

closing for the lack of feedback.

Files

Bad_Multiline.PNG 21.2 KB 2014-11-23 Nicholas Latham

Bad_Multiline.PNG 25.5 KB 2014-11-23 Nicholas Latham
